Knowledgebase:
Junos Pulse VPN 5.0.3 Client for MacOS High Sierra Users
Posted by David Strong, Last modified by Steven Cramton on 05 April 2018 09:18 AM
This is a link to the older version (5.0.3) version of the Junos Pulse VPN client. Only use this if you are encountering any issues with the VPN client working on MacOS High Sierra. In any other instance, the newest version of the client should be used (here):


Junos Pulse 5.0.3 .dmg
(0 vote(s))
Helpful
Not helpful